Uploaded image for project: 'JBoss Enterprise Application Platform 4 and 5'
  1. JBoss Enterprise Application Platform 4 and 5
  2. JBPAPP-10801

Unhandled RuntimeException from JBossCacheSSOClusterManager.endTransaction() causes white screen

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Out of Date
    • Affects Version/s: EAP_EWP 5.1.2
    • Fix Version/s: TBD EAP 5
    • Component/s: Clustering
    • Labels:
      None
    • Affects:
      Release Notes
    • Release Notes Docs Status:
      Not Yet Documented
    • Docs QE Status:
      NEW

      Description

      The endTransaction() may throw an exception if there is a problem in underlying SSO cache. However this exception at this layer simply goes to log and the http client is disconnected with no response. Probably we should not throw the NestedRuntimeException from here.

         private void endTransaction()
         {
            try 
            {
               if(tm.getTransaction().getStatus() != Status.STATUS_MARKED_ROLLBACK)
               {
                  tm.commit();
               } 
               else
               {
                  tm.rollback();
               }
            } 
            catch (Exception e) 
            {
               log.error(e);
               throw new NestedRuntimeException("JBossCacheSSOClusterManager.endTransaction(): ", e);
            }
         }
      
      2013-06-17 00:28:02,580 ERROR [org.apache.catalina.connector.CoyoteAdapter] (ajp-10.236.15.32-8009-106) An exception or error occurred in the container during the request processing
      org.jboss.util.NestedRuntimeException: JBossCacheSSOClusterManager.endTransaction(): ; - nested throwable: (javax.transaction.RollbackException: outcome is false status: 1)
      	at org.jboss.web.tomcat.service.sso.jbc.JBossCacheSSOClusterManager.endTransaction(JBossCacheSSOClusterManager.java:1053)
      	at org.jboss.web.tomcat.service.sso.jbc.JBossCacheSSOClusterManager.addSession(JBossCacheSSOClusterManager.java:299)
      	at org.jboss.web.tomcat.service.sso.ClusteredSingleSignOn.associate(ClusteredSingleSignOn.java:783)
      	at org.apache.catalina.authenticator.AuthenticatorBase.register(AuthenticatorBase.java:774)
      	at org.apache.catalina.authenticator.FormAuthenticator.authenticate(FormAuthenticator.java:197)
      	at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:491)
      	at org.exoplatform.web.login.PortalClusteredSSOSupportValve.invoke(PortalClusteredSSOSupportValve.java:120)
      	at org.jboss.web.tomcat.security.JaccContextValve.invoke(JaccContextValve.java:95)
      	at org.jboss.web.tomcat.security.SecurityContextEstablishmentValve.process(SecurityContextEstablishmentValve.java:126)
      	at org.jboss.web.tomcat.security.SecurityContextEstablishmentValve.invoke(SecurityContextEstablishmentValve.java:70)
      	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
      	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
      	at org.jboss.web.tomcat.service.jca.CachedConnectionValve.invoke(CachedConnectionValve.java:158)
      	at org.jboss.web.tomcat.service.sso.ClusteredSingleSignOn.invoke(ClusteredSingleSignOn.java:711)
      	at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:566)
      	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
      	at org.jboss.web.tomcat.service.request.ActiveRequestResponseCacheValve.internalProcess(ActiveRequestResponseCacheValve.java:74)
      	at org.jboss.web.tomcat.service.request.ActiveRequestResponseCacheValve.invoke(ActiveRequestResponseCacheValve.java:47)
      	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:330)
      	at org.apache.coyote.ajp.AjpProcessor.process(AjpProcessor.java:436)
      	at org.apache.coyote.ajp.AjpProtocol$AjpConnectionHandler.process(AjpProtocol.java:385)
      	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:451)
      	at java.lang.Thread.run(Thread.java:679)
      Caused by: javax.transaction.RollbackException: outcome is false status: 1
      	at org.jboss.cache.transaction.DummyTransaction.commit(DummyTransaction.java:98)
      	at org.jboss.cache.transaction.DummyBaseTransactionManager.commit(DummyBaseTransactionManager.java:109)
      	at org.jboss.web.tomcat.service.sso.jbc.JBossCacheSSOClusterManager.endTransaction(JBossCacheSSOClusterManager.java:1043)
      	... 22 more
      

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                pferraro Paul Ferraro
                Reporter:
                tkimura Takayoshi Kimura
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: